Basic authentication

Introduction

api.video uses HTTP Basic Auth. The authentication is your API Key as username.

If invalid credentials are provided, a 401 Unauthorized response code is returned with the corresponding JSON body.

You must use different credentials depending on the environment you are in. If credentials for the wrong environment are used, a 401 Unauthorized response code is returned with the corresponding JSON body.

📘

API Key protection

To protect your credentials from being revealed on the client-side, invoke the api.video calls from your own server-side applications only.

Please make sure to read the security guidance here.

Retrieve API keys

You'll be able to find your API key in the dashboard dashboard.api.video.

There are separate API keys for Sandbox and Production environment.

In production, you can also manage multiple API keys from your dashboard, for different applications.

1678

Basic Auth Request 🔒

Sample requests with authentication can be found below:

curl -u api_key: https://ws.api.video/videos
curl -u api_key: https://sandbox.api.video/videos

📘

Notes

  • Replace api_key with the key you have already copied from https://dashboard.api.video
  • ⚠️ Important: You need to keep the colon after api_key
  • The above API request is equivalent to
    curl --header 'Authorization: Basic your_api_key_with_trailing_colon_in_base64' https://ws.api.video/videos